react-dnd-html5-iframe-backend

HTML5 backend for React DnD [Legacy Repo]

Showing:

Popularity

Downloads/wk

1

GitHub Stars

138

Maintenance

Last Commit

5yrs ago

Contributors

8

Package

Dependencies

1

Size (min+gzip)

6.4KB

License

MIT

Type Definitions

Tree-Shakeable

No?

Categories

Readme

npm package Build Status dependencies Status devDependencies Status peerDependencies Status

React DnD HTML5 Backend (LEGACY REPOSITORY)

** NOTE: React-Dnd has been restructured as a monorepo. This code has been merged into the the react-dnd main repository.

The officially supported HTML5 backend for React DnD. See the docs for usage information.

Installation

If you use npm:

npm install --save react-dnd-html5-backend

The npm package defaults to the CommonJS build.

However it also includes a pre-minified UMD build in the dist folder. The UMD build exports a global window.ReactDnDHTML5Backend when imported as a <script> tag.

If you’d rather not use npm, you can use unpkg to access the UMD build directly: ReactDnDHTML5Backend.min.js. You may point your Bower config to it.

Browser Support

We strive to support the evergreen browsers, Safari 7+, as well as IE11+. IE10 should also work, but DragLayer is fairly useless because IE10 doesn’t support pointer-events: none. We don’t officialy support IE9 and less.

Unfortunately the browser bugs, inconsistencies, and regressions come up from time to time, so please make sure you test your app on the browsers you’re interested in, and report any bugs to us.

License

MIT

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100